%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           museek+
Version:        0.1.13
Release:        3%{?dist}
Summary:        A Soulseek filesharing client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://museek-plus.sourceforge.net/
Source0:        http://dl.sourceforge.net/museek-plus/%{name}-%{version}.tar.bz2
Patch0:         museek+-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: libxml++-devel
BuildRequires: qt3-devel
BuildRequires: gamin-devel
BuildRequires: swig
BuildRequires: libvorbis-devel
BuildRequires: PyXML
BuildRequires: pygtk2-devel
BuildRequires: cmake
BuildRequires: qt-qsa-devel

%description
Museek is a Soulseek filesharing client.

%prep
%setup -q
%patch0 -p0 -b .gcc43


%build
%cmake -DEVERYTHING=1 -DMANDIR=%{_mandir} \
  -DTRAYICON=1 -DBINRELOC=0 .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --delete-original \
  --vendor=fedora \
  --add-category=Network \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/murmur.desktop

desktop-file-install \
  --delete-original \
  --vendor=fedora \
  --add-category=Network \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/museeq.desktop

desktop-file-install \
  --delete-original \
  --vendor=fedora \
  --add-category=Network \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/musetup-gtk.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING CREDITS LICENSE README TODO
%{_bindir}/mucous
%{_bindir}/mulog
%{_bindir}/murmur
%{_bindir}/muscan
%{_bindir}/muscand
%{_bindir}/museekchat
%{_bindir}/museekcontrol
%{_bindir}/museekd
%{_bindir}/museeq
%{_bindir}/musetup
%{_bindir}/musetup-gtk
%{_bindir}/musetup-qt
%{_bindir}/musirc.py
%exclude %{_bindir}/musirc.pyo
%exclude %{_bindir}/musirc.pyc
%{python_sitelib}/_mucipherc.so
%{python_sitelib}/mucipher.py*
%{python_sitelib}/mucipherc.py*
%{python_sitelib}/museek
%{python_sitelib}/pymucous
%{python_sitelib}/pymurmur
%{_mandir}/man1/*.1.gz
%{_datadir}/applications/fedora-murmur.desktop
%{_datadir}/applications/fedora-museeq.desktop
%{_datadir}/applications/fedora-musetup-gtk.desktop
%{_datadir}/config.xml.tmpl
%{_datadir}/museek
%{_datadir}/pixmaps/murmur-??px.png
%{_datadir}/pixmaps/museek_alt2.png
%{_datadir}/pixmaps/museeq.png



%changelog
* Thu Mar 13 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.13-3
- Switched BuildRequires from qt-devel to qt3-devel

* Sat Feb  9 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.13-2
- Fixed gcc-4.3 build

* Tue Aug 25 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.13-1
- Updated to 0.1.13
- Fixed License tag as per latest guidelines
- Install musetup-gtk desktop file
- Drop building with scons in favour of cmake
- Killed museek-launcher and respective patch since we now have 3 separate clients
- Added README and TODO to %%doc

* Sat Dec 23 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-5
- Added QSA support
- Use macros for install command

* Tue Dec 12 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-4
- Changed museek-launcher header to #!/bin/sh

* Tue Dec 12 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-3
- Fixed museek-launcher permissions
- Fixed %%changelog section
- Updated museek-launcher script
- Use $RPM_OPT_FLAGS instead %%{optflags} for consistency
- Add -fPIC to $RPM_OPT_FLAGS to make x86-64 build possible

* Thu Nov 02 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-2
- Made spec more compliant to FE Packaging Guidelines

* Sat Oct 21 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.12-1
- Update to 0.1.12
- Added scons to BuildRequires

* Mon Jul 17 2006 Dario Castellarin <requiem1348[at]yahoo[dot]it> - 0.1.11-1
- Update to 0.1.11

* Sat Jun 10 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.10-2
- Added python-devel to BuildRequires

* Fri Jun 9 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.10-1
- Update to 0.1.10
- Drop bluebox fix, as it was added to upstream
- Added PyXML to BuildRequires

* Thu May 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.9-2
- Add bluebox theme fix

* Thu May 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.1.9-1
- Update to 0.1.9
- Install icon themes into %%{_datadir}/museek/themes/
- Added new tools

* Thu May 18 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.8-1
- Update to 0.1.8
- Added libvorbis-devel to BuildRequires

* Wed May 10 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.7b-1
- Update to 0.1.7b

* Mon May 08 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.6-1
- Update to 0.1.6
- Remove patches/sources which were added to upstream
- Drop scons dependence as the internal one is used

* Sun Apr 09 2006 Julian Sikorski <lordzanon[at]poczta[dot]onet[dot]pl> - 0.1.2-1
- Initial RPM release
